#ifndef _H_42E07A8239812537BC3B3ED895DC3031_LaserScan__H_
#define _H_42E07A8239812537BC3B3ED895DC3031_LaserScan__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"


namespace sensor_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  LaserScan_
            {
                struct _ranges__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Float, struct _ranges__seq_uniq_ > _ranges__seq;
                typedef DDS_DCPSSequence_var< _ranges__seq > _ranges__seq_var;
                typedef DDS_DCPSSequence_out< _ranges__seq > _ranges__seq_out;
                struct _intensities__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Float, struct _intensities__seq_uniq_ > _intensities__seq;
                typedef DDS_DCPSSequence_var< _intensities__seq > _intensities__seq_var;
                typedef DDS_DCPSSequence_out< _intensities__seq > _intensities__seq_out;
                ::std_msgs::msg::dds_::Header_ header_;
                ::DDS::Float angle_min_;
                ::DDS::Float angle_max_;
                ::DDS::Float angle_increment_;
                ::DDS::Float time_increment_;
                ::DDS::Float scan_time_;
                ::DDS::Float range_min_;
                ::DDS::Float range_max_;
                _ranges__seq ranges_;
                _intensities__seq intensities_;
            };

            typedef DDS_DCPSStruct_var<LaserScan_> LaserScan__var;
            typedef DDS_DCPSStruct_out < LaserScan_> LaserScan__out;

        }

    }

}

#endif /* _H_42E07A8239812537BC3B3ED895DC3031_LaserScan__H_ */
